summaryrefslogtreecommitdiffstats
path: root/bin/.bin/hostcert
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2024-02-27 22:29:09 -0500
committerJesse Luehrs <doy@tozt.net>2024-02-27 22:29:09 -0500
commitd5e72ac1b3d1aacec097c1d41decbe748c035f06 (patch)
treee75f879e5cdf3b51eb23ab321eb6e8ec2ce6ea9a /bin/.bin/hostcert
parent0179eebc614a5668048b510cb7a0776354c16dc3 (diff)
downloadconf-d5e72ac1b3d1aacec097c1d41decbe748c035f06.tar.gz
conf-d5e72ac1b3d1aacec097c1d41decbe748c035f06.zip
rearrange some more things
Diffstat (limited to 'bin/.bin/hostcert')
-rwxr-xr-xbin/.bin/hostcert8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/.bin/hostcert b/bin/.bin/hostcert
new file mode 100755
index 0000000..61f519d
--- /dev/null
+++ b/bin/.bin/hostcert
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -eu
+set -o pipefail
+
+host="$1"
+port="${2:-443}"
+
+openssl s_client -connect "$host:$port" </dev/null 2>/dev/null | perl -nle 'print if /BEGIN CERTIFICATE/../END CERTIFICATE/' | openssl x509 -text | perl -nle 'print unless /BEGIN CERTIFICATE/../END CERTIFICATE/'